Subject: [Ecrit] Content-ID: Way forward without SIPCORE impact

From: Christer Holmberg <[email-masked]>
Date: Thu, 6 Oct 2016 12:58:42 +0000

Hi,

One way to solve the Content-ID issue would be to ALWAYS use a multipart MIME, even if we only carry one body part. See example in section 12.2.2.3 of RFC 6086.

Another advantage would be that we would always the same Content-Disposition header field value for the MSD/control body parts. Currently the value is dependent on whether there are other body parts in the message or not, which is a little strange. So, the multipart/MIME would have C-D:info-package and the MSD/control body part would have C-D:by-reference.

Comments?

Regards,

Christer

(It may still be a good idea to define usage of Content-ID for SIP, but then the ECRIT specs would not be held up due to that work)

---

From: Paul Kyzivat <[email-masked]>
Date: Thu, 6 Oct 2016 11:40:18 -0400

On 10/6/16 8:58 AM, Christer Holmberg wrote:
> Hi,
>
> One way to solve the Content-ID issue would be to ALWAYS use a multipart
> MIME, even if we only carry one body part. See example in section
> 12.2.2.3 of RFC 6086.

This is certainly a possibility

	Thanks,
	Paul

> Another advantage would be that we would always the same
> Content-Disposition header field value for the MSD/control body parts.
> Currently the value is dependent on whether there are other body parts
> in the message or not, which is a little strange. So, the multipart/MIME
> would have C-D:info-package and the MSD/control body part would have
> C-D:by-reference.
>
> Comments?
>
> Regards,
>
> Christer
>
> (It may still be a good idea to define usage of Content-ID for SIP, but
> then the ECRIT specs would not be held up due to that work)
>
>
> _______________________________________________
> Ecrit mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ecrit
>

---

From: Christer Holmberg <[email-masked]>
Date: Fri, 7 Oct 2016 14:25:17 +0000

https://www.youtube.com/watch?v=K8E_zMLCRNg

---

From: Randall Gellens <[email-masked]>
Date: Fri, 7 Oct 2016 10:07:34 -0700

At 12:58 PM +0000 10/6/16, Christer Holmberg wrote:

>  Hi,
>
>  One way to solve the Content-ID issue would be to ALWAYS use a 
> multipart MIME, even if we only carry one body part. See example in 
> section 12.2.2.3 of RFC 6086.
>
> Content-Disposition header field value for the MSD/control body 
> parts. Currently the value is dependent on whether there are other 
> body parts in the message or not, which is a little strange. So, 
> the multipart/MIME would have C-D:info-package and the MSD/control 
> body part would have C-D:by-reference.
>
>  Comments?
>
>  Regards,
>
>  Christer
>
>  (It may still be a good idea to define usage of Content-ID for SIP, 
> but then the ECRIT specs would not be held up due to that work)

Hi Christer,

In view of the slow progress of your draft, I think the proposal to 
always use a multipart is the best option.  As you say, it simplifies 
the implementation because the C-D will always be "By-Reference".

(As I recall, the same idea was floated some time back, during the 
discussion about INFO.)

I agree that your draft should still progress, as it seems an 
oversight that C-ID is not included.

--Randy

-- 
Randall Gellens
Opinions are personal;    facts are suspect;    I speak for myself only
-------------- Randomly selected tag: ---------------
Red Tape Holds Up New Bridge
--Newspaper headline

---

From: Christer Holmberg <[email-masked]>
Date: Sun, 9 Oct 2016 08:55:24 +0000

Hi,

>> in the message or not, which is a little strange. So, the 
>> multipart/MIME would have C-D:info-package and the MSD/control body 
>> part would have C-D:by-reference.
>

So, unless someone objects, I suggest we move forward with such approach. 

Also, I'd like to see the a new version of the draft BEFORE the end of the WGLC, so that I can perform a WGLC review based on that.

Regards,

Christer

---

From: Randall Gellens <[email-masked]>
Date: Sun, 9 Oct 2016 12:14:40 -0700

At 8:55 AM +0000 10/9/16, Christer Holmberg wrote:

>  Also, I'd like to see the a new version of the draft BEFORE the end 
> of the WGLC, so that I can perform a WGLC review based on that.

Now available.

-------------- Randomly selected tag: ---------------
When a man's best friend is his dog, that dog has a problem.
                                             --Edward Abbey